| Kea 3.0.2-git

db_log.cc File Reference
`#include <config.h>`
`#include <exceptions/exceptions.h>`
`#include <database/db_log.h>`
`#include <database/db_messages.h>`
Include dependency graph for db_log.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::db

## Functions
void | isc::db::checkDbLoggerStack ()
| Check database logger stack.

## Variables
isc::log::Logger | isc::db::database_logger ("database")
| Common database library logger.
std::mutex | isc::db::db_logger_mutex
| Global mutex to protect logger stack.
DbLoggerStack | isc::db::db_logger_stack = { db_logger_translator }
| Global database logger stack (initialized to database logger).
DbLogger | isc::db::db_logger_translator (database_logger, db_message_map)
| Database logger translator.
const DbLogger::MessageMap | isc::db::db_message_map
| Map of translated messages.
const int | isc::db::DB_DBG_TRACE_DETAIL = isc::log::DBGLVL_TRACE_DETAIL
| Database logging levels.